/*******************************************************************************
* File Name: Percus_B_Trigstat.h  
* Version 1.80
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_Percus_B_Trigstat_H) /* CY_STATUS_REG_Percus_B_Trigstat_H */
#define CY_STATUS_REG_Percus_B_Trigstat_H

#include "cytypes.h"
#include "CyLib.h"


/***************************************
*        Function Prototypes
***************************************/

uint8 Percus_B_Trigstat_Read(void) ;
void Percus_B_Trigstat_InterruptEnable(void) ;
void Percus_B_Trigstat_InterruptDisable(void) ;
void Percus_B_Trigstat_WriteMask(uint8 mask) ;
uint8 Percus_B_Trigstat_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define Percus_B_Trigstat_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define Percus_B_Trigstat_INPUTS              1


/***************************************
*             Registers
***************************************/

/* Status Register */
#define Percus_B_Trigstat_Status             (* (reg8 *) Percus_B_Trigstat_sts_sts_reg__STATUS_REG )
#define Percus_B_Trigstat_Status_PTR         (  (reg8 *) Percus_B_Trigstat_sts_sts_reg__STATUS_REG )
#define Percus_B_Trigstat_Status_Mask        (* (reg8 *) Percus_B_Trigstat_sts_sts_reg__MASK_REG )
#define Percus_B_Trigstat_Status_Aux_Ctrl    (* (reg8 *) Percus_B_Trigstat_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_Percus_B_Trigstat_H */


/* [] END OF FILE */
